Bug 285091 - skge module doesn't recognize the interface on boot
skge module doesn't recognize the interface on boot
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-09-10 16:48 EDT by Horst H. von Brand
Modified: 2008-01-15 12:28 EST (History)
0 users

See Also:
Fixed In Version: kernel-2.6.24-0.150.rc7.git4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-15 12:28:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2007-09-10 16:48:04 EDT
Description of problem:
Booting the kernel loads skge, but ifconfig(8) shows no eth0. Doing:

  rmmod skge
  service network restart

gets working eth0.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot
Actual results:
No eth0

Expected results:
Network up and running.

Additional info:
Comment 1 Horst H. von Brand 2007-09-14 13:14:03 EDT
Fixed now.
Comment 2 Horst H. von Brand 2007-09-24 13:47:25 EDT
Yet again the same... kernel-2.6.23-0.195.rc7.git3.fc8
Comment 3 Chuck Ebbert 2007-09-24 14:51:29 EDT
Is this one of those adapters that works better with sk98lin?
Comment 4 Horst H. von Brand 2007-09-24 17:42:20 EDT
Re #2: It seems to happen about half of the times the machine is booted.
Re #3: It's a Marvell 88E8001 GigEth (rev 13)
Comment 5 Chuck Ebbert 2007-09-24 17:47:54 EDT
sk98lin is back, can you try it?
Comment 6 Horst H. von Brand 2007-10-01 09:24:54 EDT
Now kernel-2.6.23-0.211.rc8.git2.fc8.x86_64 (machine was broken, just got it
back), skge again did not recognize the card. 

Updated and rebooted into 2.6.23-0.214.rc8.git2.fc8.x86_64, the card worked this
time. Will keep an eye on it.

No sk98lin module here.
Comment 7 Horst H. von Brand 2008-01-02 14:14:36 EST
After quite some time unable to futz around much, now (2.6.24-0.123.rc6.fc9) it
is working fine (and has for several kernel versions now).
Comment 8 Horst H. von Brand 2008-01-15 12:27:22 EST
kernel-2.6.24-0.150.rc7.git4.fc9 now, hasn't happened again. Closing.

Note You need to log in before you can comment on or make changes to this bug.